Bug 10447 - Language definitions for 'ru' and 'uk' are not available during install
Summary: Language definitions for 'ru' and 'uk' are not available during install
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL:
Keywords:
Depends on: 10431
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 14:11 UTC by Tomás Cohen Arazi
Modified: 2014-12-07 20:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10447 - Language definitions for 'ru' and 'uk' are not available during install (2.83 KB, patch)
2013-06-11 14:16 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Signed off patch (2.89 KB, patch)
2013-06-25 08:10 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10447 - Language definitions for 'ru' and 'uk' are not available during install (3.09 KB, patch)
2013-07-14 14:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-06-11 14:11:28 UTC
Language definitions for those languages are present but they are not available for selection during tarball install, nor advertised for use with koha-create.
Comment 1 Tomás Cohen Arazi 2013-06-11 14:16:49 UTC Comment hidden (obsolete)
Comment 2 Serhij Dubyk 2013-06-11 20:11:12 UTC
Thanks!
Comment 3 Chris Cormack 2013-06-24 08:26:21 UTC
fatal: sha1 information is lacking or useless (Makefile.PL).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 4 Tomás Cohen Arazi 2013-06-24 13:02:00 UTC
Chris, are you sure you applied patch for bug 10431 before trying it?
Comment 5 Tomás Cohen Arazi 2013-06-24 16:17:06 UTC
I asked jcamins to re-check, and it actually applies on top of bug 10431
Comment 6 Chris Cormack 2013-06-25 08:10:41 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2013-07-14 14:11:14 UTC
Created attachment 19632 [details] [review]
[PASSED QA] Bug 10447 - Language definitions for 'ru' and 'uk' are not available during install

This patch add the option to choose 'ru' and 'uk' during install for zebra.
Should work for a tarball install, and make 'ru' and 'uk' available for using
with koha-create too.

Regards
To+

Sponsored-by: Universidad Nacional de Córdoba
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Reran Makefile.pl and made sure the language options show up now.
Patch extends existing language code lists addings nb, ru and uk
where missing.
Comment 8 Galen Charlton 2013-07-15 16:11:52 UTC
Pushed to master.  Thanks, Tomás!
Comment 9 Tomás Cohen Arazi 2013-07-16 21:08:07 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.